# Class KCorrections

java.lang.Object
uk.ac.starlink.ttools.func.KCorrections

public class KCorrections extends Object
Functions for calculating K-corrections.

Since:
  9 Nov 2012
Author:
  Mark Taylor, Igor Chilingarian, Anne-Laure Melchior, Ivan Zolotukhin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_BIc`
Johnson B - Cousins Ic colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_BRc`
Johnson B - Cousins Rc colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_FUVNUV`
GALEX FUV - NUV colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_FUVu`
GALEX FUV - SDSS u colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_gi`
SDSS g - i colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_gr`
SDSS g - r colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_gz`
SDSS g - z colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_H2Ks2`
2MASS H - Ks colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_HK`
UKIDSS H - K colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_J2H2`
2MASS J - H colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_J2Ks2`
2MASS J - Ks colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_JH`
UKIDSS J - H colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_JK`
UKIDSS J - K colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_NUVg`
GALEX NUV - SDSS g colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_NUVr`
GALEX NUV - SDSS r colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_rz`
SDSS r - SDSS z colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_ui`
SDSS u - SDSS i colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_ur`
SDSS u - r colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_URc`
Johnson U - Cousins Rc colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_uz`
SDSS u - z colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_VIc`
Johnson V - Cousins Ic colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_VRc`
Johnson V - Cousins Rc colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_YH`
UKIDSS Y - H colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KColor`
`KCC_YK`
UKIDSS Y - K colour.
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_B`
Johnson B filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_FUV`
GALEX FUV filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_g`
SDSS g filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_H`
UKIDSS H filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_H2`
2MASS H filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_i`
SDSS i filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_Ic`
Cousins Ic filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_J`
UKIDSS J filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_J2`
2MASS J filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_K`
UKIDSS K filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_Ks2`
2MASS Ks filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_NUV`
GALEX NUV filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_r`
SDSS r filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_Rc`
Cousins Rc filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_u`
SDSS u filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_U`
Johnson U filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_V`
Johnson V filter (Vega).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_Y`
UKIDSS Y filter (AB).
`static final uk.ac.starlink.ttools.func.KCorrections.KFilter`
`KCF_z`
SDSS z filter (AB).

## Method Summary

Modifier and Type
Method
Description
`static double`
`kCorr(uk.ac.starlink.ttools.func.KCorrections.KFilter filter, double redshift, uk.ac.starlink.ttools.func.KCorrections.KColor colorType, double colorValue)`
Calculates K-corrections.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KCF_FUV

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_FUV
GALEX FUV filter (AB). Use with KCC_FUVNUV or KCC_FUVu.

### KCF_NUV

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_NUV
GALEX NUV filter (AB). Use with KCC_NUVg or KCC_NUVr.

### KCF_u

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_u
SDSS u filter (AB). Use with KCC_ur, KCC_ui or KCC_uz.

### KCF_g

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_g
SDSS g filter (AB). Use with KCC_gr, KCC_gi or KCC_gz.

### KCF_r

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_r
SDSS r filter (AB). Use with KCC_gr or KCC_ur.

### KCF_i

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_i
SDSS i filter (AB). Use with KCC_gi or KCC_ui.

### KCF_z

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_z
SDSS z filter (AB). Use with KCC_rz, KCC_gz or KCC_uz.

### KCF_Y

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_Y
UKIDSS Y filter (AB). Use with KCC_YH or KCC_YK.

### KCF_J

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_J
UKIDSS J filter (AB). Use with KCC_JK or KCC_JH.

### KCF_H

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_H
UKIDSS H filter (AB). Use with KCC_HK or KCC_JH.

### KCF_K

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_K
UKIDSS K filter (AB). Use with KCC_JK or KCC_HK.

### KCF_U

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_U
Johnson U filter (Vega). Use with KCC_URc.

### KCF_B

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_B
Johnson B filter (Vega). Use with KCC_BRc or KCC_BIc.

### KCF_V

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_V
Johnson V filter (Vega). Use with KCC_VIc or KCC_VRc.

### KCF_Rc

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_Rc
Cousins Rc filter (Vega). Use with KCC_BRc or KCC_VRc.

### KCF_Ic

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_Ic
Cousins Ic filter (Vega). Use with KCC_VIc.

### KCF_J2

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_J2
2MASS J filter (Vega). Use with KCC_J2Ks2 or KCC_J2H2.

### KCF_H2

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_H2
2MASS H filter (Vega). Use with KCC_H2Ks2 or KCC_J2H2.

### KCF_Ks2

public static final uk.ac.starlink.ttools.func.KCorrections.KFilter KCF_Ks2
2MASS Ks filter (Vega). Use with KCC_J2Ks2 or KCC_H2Ks2.

### KCC_BIc

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_BIc
Johnson B - Cousins Ic colour.

### KCC_BRc

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_BRc
Johnson B - Cousins Rc colour.

### KCC_FUVNUV

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_FUVNUV
GALEX FUV - NUV colour.

### KCC_FUVu

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_FUVu
GALEX FUV - SDSS u colour.

### KCC_gi

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_gi
SDSS g - i colour.

### KCC_gr

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_gr
SDSS g - r colour.

### KCC_gz

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_gz
SDSS g - z colour.

### KCC_H2Ks2

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_H2Ks2
2MASS H - Ks colour.

### KCC_HK

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_HK
UKIDSS H - K colour.

### KCC_J2H2

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_J2H2
2MASS J - H colour.

### KCC_J2Ks2

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_J2Ks2
2MASS J - Ks colour.

### KCC_JH

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_JH
UKIDSS J - H colour.

### KCC_JK

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_JK
UKIDSS J - K colour.

### KCC_NUVg

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_NUVg
GALEX NUV - SDSS g colour.

### KCC_NUVr

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_NUVr
GALEX NUV - SDSS r colour.

### KCC_rz

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_rz
SDSS r - SDSS z colour.

### KCC_ui

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_ui
SDSS u - SDSS i colour.

### KCC_URc

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_URc
Johnson U - Cousins Rc colour.

### KCC_ur

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_ur
SDSS u - r colour.

### KCC_uz

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_uz
SDSS u - z colour.

### KCC_VIc

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_VIc
Johnson V - Cousins Ic colour.

### KCC_VRc

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_VRc
Johnson V - Cousins Rc colour.

### KCC_YH

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_YH
UKIDSS Y - H colour.

### KCC_YK

public static final uk.ac.starlink.ttools.func.KCorrections.KColor KCC_YK
UKIDSS Y - K colour.

## Method Details

### kCorr

public static double kCorr(uk.ac.starlink.ttools.func.KCorrections.KFilter filter, double redshift, uk.ac.starlink.ttools.func.KCorrections.KColor colorType, double colorValue)
Calculates K-corrections. This allows you to determine K-corrections for a galaxy, given its redshift and a colour. Filters for GALEX, SDSS, UKIDSS, Johnson, Cousins and 2MASS are covered.

To define the calculation you must choose both a filter, specified as a `KCF_*` constant, and a colour (filter pair) specified as a `KCC_*` constant. For each available filter, only certain colours are available, as described in the documentation of the relevant `KCF_*` constant.

The algorithm used is described at http://kcor.sai.msu.ru/. This is based on the paper "Analytical Approximations of K-corrections in Optical and Near-Infrared Bands" by I.Chilingarian, A.-L.Melchior and I.Zolotukhin (2010MNRAS.405.1409C), but extended to include GALEX UV bands and with redshift coverage up to 0.5 as described in "Universal UV-optical Colour-Colour-Magnitude Relation of Galaxies" by I.Chilingarian and I.Zolotukhin (2012MNRAS.419.1727C).

Parameters:
  `filter` - `KCF_*` constant defining the filter for which you want to calculate the K-correction
  `redshift` - galaxy redshift; this should be in the range 0-0.5
  `colorType` - `KCC_*` constant defining the filter pair for the calculation; check the `KCF_*` constant documentation to see which ones are permitted for a given filter
  `colorValue` - the value of the colour
Returns:
  K correction
Examples:
  `kCorr(KCF_g, 0.16, KCC_gr, -0.8) = 3.593`, `kCorr(KCF_FUV, 0.48, KCC_FUVu, 0.31) = -0.170`